// Code generated by protoc-gen-go. DO NOT EDIT.
// source: praefect.proto

package gitalypb

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	timestamp "github.com/golang/protobuf/ptypes/timestamp"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type EnableWritesRequest struct {
	// virtual_storage is the name of the virtual storage to enable writes for.
	VirtualStorage       string   `protobuf:"bytes,1,opt,name=virtual_storage,json=virtualStorage,proto3" json:"virtual_storage,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *EnableWritesRequest) Reset()         { *m = EnableWritesRequest{} }
func (m *EnableWritesRequest) String() string { return proto.CompactTextString(m) }
func (*EnableWritesRequest) ProtoMessage()    {}
func (*EnableWritesRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_d32bf44842ead735, []int{0}
}

func (m *EnableWritesRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_EnableWritesRequest.Unmarshal(m, b)
}
func (m *EnableWritesRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_EnableWritesRequest.Marshal(b, m, deterministic)
}
func (m *EnableWritesRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_EnableWritesRequest.Merge(m, src)
}
func (m *EnableWritesRequest) XXX_Size() int {
	return xxx_messageInfo_EnableWritesRequest.Size(m)
}
func (m *EnableWritesRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_EnableWritesRequest.DiscardUnknown(m)
}

var xxx_messageInfo_EnableWritesRequest proto.InternalMessageInfo

func (m *EnableWritesRequest) GetVirtualStorage() string {
	if m != nil {
		return m.VirtualStorage
	}
	return ""
}

type EnableWritesResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *EnableWritesResponse) Reset()         { *m = EnableWritesResponse{} }
func (m *EnableWritesResponse) String() string { return proto.CompactTextString(m) }
func (*EnableWritesResponse) ProtoMessage()    {}
func (*EnableWritesResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_d32bf44842ead735, []int{1}
}

func (m *EnableWritesResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_EnableWritesResponse.Unmarshal(m, b)
}
func (m *EnableWritesResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_EnableWritesResponse.Marshal(b, m, deterministic)
}
func (m *EnableWritesResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_EnableWritesResponse.Merge(m, src)
}
func (m *EnableWritesResponse) XXX_Size() int {
	return xxx_messageInfo_EnableWritesResponse.Size(m)
}
func (m *EnableWritesResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_EnableWritesResponse.DiscardUnknown(m)
}

var xxx_messageInfo_EnableWritesResponse proto.InternalMessageInfo

// DatalossCheckRequest fetches dead replica jobs from praefect.
type DatalossCheckRequest struct {
	// from is an inclusive beginning of the timeframe the dead replica jobs are to be
	// counted in.
	From *timestamp.Timestamp `protobuf:"bytes,1,opt,name=from,proto3" json:"from,omitempty"`
	// to is an exclusive ending of the timeframe the dead replica jobs are to be
	// counted in.
	To                   *timestamp.Timestamp `protobuf:"bytes,2,opt,name=to,proto3" json:"to,omitempty"`
	XXX_NoUnkeyedLiteral struct{}             `json:"-"`
	XXX_unrecognized     []byte               `json:"-"`
	XXX_sizecache        int32                `json:"-"`
}

func (m *DatalossCheckRequest) Reset()         { *m = DatalossCheckRequest{} }
func (m *DatalossCheckRequest) String() string { return proto.CompactTextString(m) }
func (*DatalossCheckRequest) ProtoMessage()    {}
func (*DatalossCheckRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_d32bf44842ead735, []int{2}
}

func (m *DatalossCheckRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DatalossCheckRequest.Unmarshal(m, b)
}
func (m *DatalossCheckRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DatalossCheckRequest.Marshal(b, m, deterministic)
}
func (m *DatalossCheckRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DatalossCheckRequest.Merge(m, src)
}
func (m *DatalossCheckRequest) XXX_Size() int {
	return xxx_messageInfo_DatalossCheckRequest.Size(m)
}
func (m *DatalossCheckRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_DatalossCheckRequest.DiscardUnknown(m)
}

var xxx_messageInfo_DatalossCheckRequest proto.InternalMessageInfo

func (m *DatalossCheckRequest) GetFrom() *timestamp.Timestamp {
	if m != nil {
		return m.From
	}
	return nil
}

func (m *DatalossCheckRequest) GetTo() *timestamp.Timestamp {
	if m != nil {
		return m.To
	}
	return nil
}

// DatalossCheckResponse contains dead replica jobs by repository.
type DatalossCheckResponse struct {
	// by_relative_path contains the count of dead replica job by repository relative
	// path within the requested timeframe.
	ByRelativePath       map[string]int64 `protobuf:"bytes,1,rep,name=by_relative_path,json=byRelativePath,proto3" json:"by_relative_path,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"varint,2,opt,name=value,proto3"`
	XXX_NoUnkeyedLiteral struct{}         `json:"-"`
	XXX_unrecognized     []byte           `json:"-"`
	XXX_sizecache        int32            `json:"-"`
}

func (m *DatalossCheckResponse) Reset()         { *m = DatalossCheckResponse{} }
func (m *DatalossCheckResponse) String() string { return proto.CompactTextString(m) }
func (*DatalossCheckResponse) ProtoMessage()    {}
func (*DatalossCheckResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_d32bf44842ead735, []int{3}
}

func (m *DatalossCheckResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DatalossCheckResponse.Unmarshal(m, b)
}
func (m *DatalossCheckResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DatalossCheckResponse.Marshal(b, m, deterministic)
}
func (m *DatalossCheckResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DatalossCheckResponse.Merge(m, src)
}
func (m *DatalossCheckResponse) XXX_Size() int {
	return xxx_messageInfo_DatalossCheckResponse.Size(m)
}
func (m *DatalossCheckResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_DatalossCheckResponse.DiscardUnknown(m)
}

var xxx_messageInfo_DatalossCheckResponse proto.InternalMessageInfo

func (m *DatalossCheckResponse) GetByRelativePath() map[string]int64 {
	if m != nil {
		return m.ByRelativePath
	}
	return nil
}

type RepositoryReplicasRequest struct {
	Repository           *Repository `protobuf:"bytes,1,opt,name=repository,proto3" json:"repository,omitempty"`
	XXX_NoUnkeyedLiteral struct{}    `json:"-"`
	XXX_unrecognized     []byte      `json:"-"`
	XXX_sizecache        int32       `json:"-"`
}

func (m *RepositoryReplicasRequest) Reset()         { *m = RepositoryReplicasRequest{} }
func (m *RepositoryReplicasRequest) String() string { return proto.CompactTextString(m) }
func (*RepositoryReplicasRequest) ProtoMessage()    {}
func (*RepositoryReplicasRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_d32bf44842ead735, []int{4}
}

func (m *RepositoryReplicasRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RepositoryReplicasRequest.Unmarshal(m, b)
}
func (m *RepositoryReplicasRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RepositoryReplicasRequest.Marshal(b, m, deterministic)
}
func (m *RepositoryReplicasRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RepositoryReplicasRequest.Merge(m, src)
}
func (m *RepositoryReplicasRequest) XXX_Size() int {
	return xxx_messageInfo_RepositoryReplicasRequest.Size(m)
}
func (m *RepositoryReplicasRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_RepositoryReplicasRequest.DiscardUnknown(m)
}

var xxx_messageInfo_RepositoryReplicasRequest proto.InternalMessageInfo

func (m *RepositoryReplicasRequest) GetRepository() *Repository {
	if m != nil {
		return m.Repository
	}
	return nil
}

type RepositoryReplicasResponse struct {
	Primary              *RepositoryReplicasResponse_RepositoryDetails   `protobuf:"bytes,1,opt,name=primary,proto3" json:"primary,omitempty"`
	Replicas             []*RepositoryReplicasResponse_RepositoryDetails `protobuf:"bytes,2,rep,name=replicas,proto3" json:"replicas,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                                        `json:"-"`
	XXX_unrecognized     []byte                                          `json:"-"`
	XXX_sizecache        int32                                           `json:"-"`
}

func (m *RepositoryReplicasResponse) Reset()         { *m = RepositoryReplicasResponse{} }
func (m *RepositoryReplicasResponse) String() string { return proto.CompactTextString(m) }
func (*RepositoryReplicasResponse) ProtoMessage()    {}
func (*RepositoryReplicasResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_d32bf44842ead735, []int{5}
}

func (m *RepositoryReplicasResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RepositoryReplicasResponse.Unmarshal(m, b)
}
func (m *RepositoryReplicasResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RepositoryReplicasResponse.Marshal(b, m, deterministic)
}
func (m *RepositoryReplicasResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RepositoryReplicasResponse.Merge(m, src)
}
func (m *RepositoryReplicasResponse) XXX_Size() int {
	return xxx_messageInfo_RepositoryReplicasResponse.Size(m)
}
func (m *RepositoryReplicasResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_RepositoryReplicasResponse.DiscardUnknown(m)
}

var xxx_messageInfo_RepositoryReplicasResponse proto.InternalMessageInfo

func (m *RepositoryReplicasResponse) GetPrimary() *RepositoryReplicasResponse_RepositoryDetails {
	if m != nil {
		return m.Primary
	}
	return nil
}

func (m *RepositoryReplicasResponse) GetReplicas() []*RepositoryReplicasResponse_RepositoryDetails {
	if m != nil {
		return m.Replicas
	}
	return nil
}

type RepositoryReplicasResponse_RepositoryDetails struct {
	Repository           *Repository `protobuf:"bytes,1,opt,name=repository,proto3" json:"repository,omitempty"`
	Checksum             string      `protobuf:"bytes,2,opt,name=checksum,proto3" json:"checksum,omitempty"`
	XXX_NoUnkeyedLiteral struct{}    `json:"-"`
	XXX_unrecognized     []byte      `json:"-"`
	XXX_sizecache        int32       `json:"-"`
}

func (m *RepositoryReplicasResponse_RepositoryDetails) Reset() {
	*m = RepositoryReplicasResponse_RepositoryDetails{}
}
func (m *RepositoryReplicasResponse_RepositoryDetails) String() string {
	return proto.CompactTextString(m)
}
func (*RepositoryReplicasResponse_RepositoryDetails) ProtoMessage() {}
func (*RepositoryReplicasResponse_RepositoryDetails) Descriptor() ([]byte, []int) {
	return fileDescriptor_d32bf44842ead735, []int{5, 0}
}

func (m *RepositoryReplicasResponse_RepositoryDetails) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RepositoryReplicasResponse_RepositoryDetails.Unmarshal(m, b)
}
func (m *RepositoryReplicasResponse_RepositoryDetails) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RepositoryReplicasResponse_RepositoryDetails.Marshal(b, m, deterministic)
}
func (m *RepositoryReplicasResponse_RepositoryDetails) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RepositoryReplicasResponse_RepositoryDetails.Merge(m, src)
}
func (m *RepositoryReplicasResponse_RepositoryDetails) XXX_Size() int {
	return xxx_messageInfo_RepositoryReplicasResponse_RepositoryDetails.Size(m)
}
func (m *RepositoryReplicasResponse_RepositoryDetails) XXX_DiscardUnknown() {
	xxx_messageInfo_RepositoryReplicasResponse_RepositoryDetails.DiscardUnknown(m)
}

var xxx_messageInfo_RepositoryReplicasResponse_RepositoryDetails proto.InternalMessageInfo

func (m *RepositoryReplicasResponse_RepositoryDetails) GetRepository() *Repository {
	if m != nil {
		return m.Repository
	}
	return nil
}

func (m *RepositoryReplicasResponse_RepositoryDetails) GetChecksum() string {
	if m != nil {
		return m.Checksum
	}
	return ""
}

type ConsistencyCheckRequest struct {
	VirtualStorage string `protobuf:"bytes,1,opt,name=virtual_storage,json=virtualStorage,proto3" json:"virtual_storage,omitempty"`
	// The target storage is the storage you wish to check for inconsistencies
	// against a reference storage (typically the current primary).
	TargetStorage string `protobuf:"bytes,2,opt,name=target_storage,json=targetStorage,proto3" json:"target_storage,omitempty"`
	// Optionally provide a reference storage to compare the target storage
	// against. If a reference storage is omitted, the current primary will be
	// used.
	ReferenceStorage string `protobuf:"bytes,3,opt,name=reference_storage,json=referenceStorage,proto3" json:"reference_storage,omitempty"`
	// Be default, reconcilliation is enabled. Disabling reconcilliation will
	// make the request side-effect free.
	DisableReconcilliation bool     `protobuf:"varint,4,opt,name=disable_reconcilliation,json=disableReconcilliation,proto3" json:"disable_reconcilliation,omitempty"`
	XXX_NoUnkeyedLiteral   struct{} `json:"-"`
	XXX_unrecognized       []byte   `json:"-"`
	XXX_sizecache          int32    `json:"-"`
}

func (m *ConsistencyCheckRequest) Reset()         { *m = ConsistencyCheckRequest{} }
func (m *ConsistencyCheckRequest) String() string { return proto.CompactTextString(m) }
func (*ConsistencyCheckRequest) ProtoMessage()    {}
func (*ConsistencyCheckRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_d32bf44842ead735, []int{6}
}

func (m *ConsistencyCheckRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ConsistencyCheckRequest.Unmarshal(m, b)
}
func (m *ConsistencyCheckRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ConsistencyCheckRequest.Marshal(b, m, deterministic)
}
func (m *ConsistencyCheckRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ConsistencyCheckRequest.Merge(m, src)
}
func (m *ConsistencyCheckRequest) XXX_Size() int {
	return xxx_messageInfo_ConsistencyCheckRequest.Size(m)
}
func (m *ConsistencyCheckRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ConsistencyCheckRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ConsistencyCheckRequest proto.InternalMessageInfo

func (m *ConsistencyCheckRequest) GetVirtualStorage() string {
	if m != nil {
		return m.VirtualStorage
	}
	return ""
}

func (m *ConsistencyCheckRequest) GetTargetStorage() string {
	if m != nil {
		return m.TargetStorage
	}
	return ""
}

func (m *ConsistencyCheckRequest) GetReferenceStorage() string {
	if m != nil {
		return m.ReferenceStorage
	}
	return ""
}

func (m *ConsistencyCheckRequest) GetDisableReconcilliation() bool {
	if m != nil {
		return m.DisableReconcilliation
	}
	return false
}

type ConsistencyCheckResponse struct {
	RepoRelativePath  string `protobuf:"bytes,1,opt,name=repo_relative_path,json=repoRelativePath,proto3" json:"repo_relative_path,omitempty"`
	TargetChecksum    string `protobuf:"bytes,2,opt,name=target_checksum,json=targetChecksum,proto3" json:"target_checksum,omitempty"`
	ReferenceChecksum string `protobuf:"bytes,3,opt,name=reference_checksum,json=referenceChecksum,proto3" json:"reference_checksum,omitempty"`
	// If resync was enabled, then each inconsistency will schedule a replication
	// job. A replication ID is returned to track the corresponding job.
	ReplJobId uint64 `protobuf:"varint,4,opt,name=repl_job_id,json=replJobId,proto3" json:"repl_job_id,omitempty"`
	// If the reference storage was not specified, reply with the reference used
	ReferenceStorage     string   `protobuf:"bytes,5,opt,name=reference_storage,json=referenceStorage,proto3" json:"reference_storage,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ConsistencyCheckResponse) Reset()         { *m = ConsistencyCheckResponse{} }
func (m *ConsistencyCheckResponse) String() string { return proto.CompactTextString(m) }
func (*ConsistencyCheckResponse) ProtoMessage()    {}
func (*ConsistencyCheckResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_d32bf44842ead735, []int{7}
}

func (m *ConsistencyCheckResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ConsistencyCheckResponse.Unmarshal(m, b)
}
func (m *ConsistencyCheckResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ConsistencyCheckResponse.Marshal(b, m, deterministic)
}
func (m *ConsistencyCheckResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ConsistencyCheckResponse.Merge(m, src)
}
func (m *ConsistencyCheckResponse) XXX_Size() int {
	return xxx_messageInfo_ConsistencyCheckResponse.Size(m)
}
func (m *ConsistencyCheckResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_ConsistencyCheckResponse.DiscardUnknown(m)
}

var xxx_messageInfo_ConsistencyCheckResponse proto.InternalMessageInfo

func (m *ConsistencyCheckResponse) GetRepoRelativePath() string {
	if m != nil {
		return m.RepoRelativePath
	}
	return ""
}

func (m *ConsistencyCheckResponse) GetTargetChecksum() string {
	if m != nil {
		return m.TargetChecksum
	}
	return ""
}

func (m *ConsistencyCheckResponse) GetReferenceChecksum() string {
	if m != nil {
		return m.ReferenceChecksum
	}
	return ""
}

func (m *ConsistencyCheckResponse) GetReplJobId() uint64 {
	if m != nil {
		return m.ReplJobId
	}
	return 0
}

func (m *ConsistencyCheckResponse) GetReferenceStorage() string {
	if m != nil {
		return m.ReferenceStorage
	}
	return ""
}

func init() {
	proto.RegisterType((*EnableWritesRequest)(nil), "gitaly.EnableWritesRequest")
	proto.RegisterType((*EnableWritesResponse)(nil), "gitaly.EnableWritesResponse")
	proto.RegisterType((*DatalossCheckRequest)(nil), "gitaly.DatalossCheckRequest")
	proto.RegisterType((*DatalossCheckResponse)(nil), "gitaly.DatalossCheckResponse")
	proto.RegisterMapType((map[string]int64)(nil), "gitaly.DatalossCheckResponse.ByRelativePathEntry")
	proto.RegisterType((*RepositoryReplicasRequest)(nil), "gitaly.RepositoryReplicasRequest")
	proto.RegisterType((*RepositoryReplicasResponse)(nil), "gitaly.RepositoryReplicasResponse")
	proto.RegisterType((*RepositoryReplicasResponse_RepositoryDetails)(nil), "gitaly.RepositoryReplicasResponse.RepositoryDetails")
	proto.RegisterType((*ConsistencyCheckRequest)(nil), "gitaly.ConsistencyCheckRequest")
	proto.RegisterType((*ConsistencyCheckResponse)(nil), "gitaly.ConsistencyCheckResponse")
}

func init() { proto.RegisterFile("praefect.proto", fileDescriptor_d32bf44842ead735) }

var fileDescriptor_d32bf44842ead735 = []byte{
	// 715 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x9c, 0x55, 0xcd, 0x6e, 0xdb, 0x46,
	0x10, 0x06, 0x29, 0xd9, 0x95, 0xc7, 0xb6, 0x2c, 0xaf, 0x5d, 0x5b, 0x65, 0xdd, 0x5a, 0x25, 0x50,
	0x54, 0x68, 0x6d, 0xca, 0x55, 0x02, 0x24, 0xc8, 0x2d, 0xfe, 0x39, 0x38, 0x87, 0xc4, 0xa0, 0x83,
	0x04, 0x48, 0x0e, 0xc2, 0x92, 0x1a, 0x49, 0x1b, 0x53, 0x5c, 0x66, 0x77, 0x25, 0x40, 0x6f, 0x90,
	0x43, 0xee, 0x79, 0x80, 0x3c, 0x44, 0xde, 0x20, 0x6f, 0x90, 0xc7, 0xc8, 0x0b, 0xe4, 0x14, 0x90,
	0x5c, 0x32, 0xfa, 0xa1, 0x6d, 0xc4, 0x37, 0xee, 0xcc, 0x37, 0xdf, 0xce, 0x7c, 0x33, 0x3b, 0x84,
	0x6a, 0x24, 0x28, 0xf6, 0xd0, 0x57, 0x4e, 0x24, 0xb8, 0xe2, 0x64, 0xb9, 0xcf, 0x14, 0x0d, 0x26,
	0x16, 0x04, 0x2c, 0xd4, 0x36, 0x6b, 0x4d, 0x0e, 0xa8, 0xc0, 0xae, 0x3e, 0xed, 0xf7, 0x39, 0xef,
	0x07, 0xd8, 0x4a, 0x4e, 0xde, 0xa8, 0xd7, 0x52, 0x6c, 0x88, 0x52, 0xd1, 0x61, 0x94, 0x02, 0xec,
	0x53, 0xd8, 0x3a, 0x0b, 0xa9, 0x17, 0xe0, 0x4b, 0xc1, 0x14, 0x4a, 0x17, 0xdf, 0x8e, 0x50, 0x2a,
	0x72, 0x08, 0x1b, 0x63, 0x26, 0xd4, 0x88, 0x06, 0x1d, 0xa9, 0xb8, 0xa0, 0x7d, 0xac, 0x1b, 0x0d,
	0xa3, 0xb9, 0x72, 0x5c, 0x7e, 0xf7, 0xf9, 0xc0, 0x70, 0xab, 0xda, 0x79, 0x99, 0xfa, 0xec, 0x1d,
	0xd8, 0x9e, 0x65, 0x91, 0x11, 0x0f, 0x25, 0xda, 0x02, 0xb6, 0x4f, 0xa9, 0xa2, 0x01, 0x97, 0xf2,
	0x64, 0x80, 0xfe, 0x55, 0x46, 0xef, 0x40, 0xb9, 0x27, 0xf8, 0x30, 0xe1, 0x5c, 0x6d, 0x5b, 0x4e,
	0x9a, 0xa5, 0x93, 0x65, 0xe9, 0x3c, 0xcf, 0xb2, 0x74, 0x13, 0x1c, 0xf9, 0x17, 0x4c, 0xc5, 0xeb,
	0xe6, 0xad, 0x68, 0x53, 0x71, 0xfb, 0x93, 0x01, 0xbf, 0xce, 0x5d, 0x9a, 0x66, 0x43, 0x5e, 0x43,
	0xcd, 0x9b, 0x74, 0x04, 0x06, 0x54, 0xb1, 0x31, 0x76, 0x22, 0xaa, 0x06, 0x75, 0xa3, 0x51, 0x6a,
	0xae, 0xb6, 0xff, 0x77, 0x52, 0x25, 0x9d, 0xc2, 0x40, 0xe7, 0x78, 0xe2, 0xea, 0xa0, 0x0b, 0xaa,
	0x06, 0x67, 0xa1, 0x12, 0x13, 0xb7, 0xea, 0xcd, 0x18, 0xad, 0xc7, 0xb0, 0x55, 0x00, 0x23, 0x35,
	0x28, 0x5d, 0xe1, 0x24, 0x15, 0xcf, 0x8d, 0x3f, 0xc9, 0x36, 0x2c, 0x8d, 0x69, 0x30, 0xc2, 0xa4,
	0x9c, 0x92, 0x9b, 0x1e, 0x1e, 0x99, 0x0f, 0x0d, 0xfb, 0x19, 0xfc, 0xe6, 0x62, 0xc4, 0x25, 0x53,
	0x5c, 0x4c, 0x5c, 0x8c, 0x02, 0xe6, 0xd3, 0xbc, 0x23, 0x6d, 0x00, 0x91, 0x3b, 0xb5, 0x70, 0x24,
	0x4b, 0x7b, 0x2a, 0x6c, 0x0a, 0x65, 0x7f, 0x34, 0xc1, 0x2a, 0x62, 0xd4, 0x7a, 0x3c, 0x85, 0x5f,
	0x22, 0xc1, 0x86, 0x34, 0xe7, 0xbb, 0x5f, 0xc0, 0x37, 0x17, 0x34, 0xe5, 0x3a, 0x45, 0x45, 0x59,
	0x20, 0xdd, 0x8c, 0x84, 0x5c, 0x40, 0x45, 0x68, 0x78, 0xdd, 0x4c, 0x74, 0xbd, 0x1b, 0x61, 0xce,
	0x62, 0xf9, 0xb0, 0xb9, 0xe0, 0xbe, 0x8b, 0x12, 0xc4, 0x82, 0x8a, 0x1f, 0xb7, 0x54, 0x8e, 0x86,
	0x89, 0xee, 0x2b, 0x6e, 0x7e, 0xb6, 0xbf, 0x18, 0xb0, 0x7b, 0xc2, 0x43, 0xc9, 0xa4, 0xc2, 0xd0,
	0x9f, 0xcc, 0x0c, 0xea, 0xcf, 0xbd, 0x03, 0xf2, 0x37, 0x54, 0x15, 0x15, 0x7d, 0x54, 0x39, 0x3a,
	0xbd, 0x6c, 0x3d, 0xb5, 0x66, 0xb0, 0xff, 0x60, 0x53, 0x60, 0x0f, 0x05, 0x86, 0x3e, 0xe6, 0xc8,
	0x52, 0x82, 0xac, 0xe5, 0x8e, 0x0c, 0xfc, 0x00, 0x76, 0xbb, 0x4c, 0xc6, 0x8f, 0xab, 0x23, 0xd0,
	0xe7, 0xa1, 0xcf, 0x82, 0x80, 0x51, 0xc5, 0x78, 0x58, 0x2f, 0x37, 0x8c, 0x66, 0xc5, 0xdd, 0xd1,
	0x6e, 0x77, 0xd6, 0x6b, 0x7f, 0x35, 0xa0, 0xbe, 0x58, 0x97, 0xee, 0xfd, 0x01, 0x90, 0x58, 0x9e,
	0x85, 0xd7, 0xa0, 0x73, 0x88, 0xf8, 0xf4, 0x28, 0x93, 0x7f, 0x60, 0x43, 0xd7, 0x35, 0xa7, 0xa2,
	0x2e, 0xf7, 0x44, 0x5b, 0xc9, 0x61, 0x4c, 0x9b, 0x55, 0x96, 0x63, 0xd3, 0xd2, 0x7e, 0xd4, 0x9c,
	0xc3, 0xff, 0x84, 0xd5, 0xb8, 0xd7, 0x9d, 0x37, 0xdc, 0xeb, 0xb0, 0x6e, 0x52, 0x4f, 0xd9, 0x5d,
	0x89, 0x4d, 0x4f, 0xb8, 0x77, 0xde, 0x2d, 0x16, 0x6a, 0xa9, 0x58, 0xa8, 0xf6, 0xfb, 0x12, 0x6c,
	0x5d, 0xe8, 0x05, 0x79, 0x1e, 0xf6, 0xf8, 0x25, 0x8a, 0x31, 0xf3, 0x91, 0x20, 0x90, 0xc5, 0xf1,
	0x23, 0x7f, 0xdd, 0x34, 0x9a, 0x49, 0xf3, 0x2d, 0xfb, 0xf6, 0xe9, 0xb5, 0x2b, 0xdf, 0x3e, 0x34,
	0xcb, 0x15, 0xb3, 0x66, 0x10, 0x0a, 0xb5, 0x79, 0xb5, 0xc9, 0x7e, 0xc6, 0x70, 0xcd, 0x7c, 0x59,
	0x8d, 0xeb, 0x01, 0x73, 0x17, 0x98, 0x47, 0x06, 0x79, 0x01, 0xeb, 0x33, 0x0b, 0x8a, 0xec, 0x5d,
	0xb3, 0xb7, 0x52, 0xf2, 0x3f, 0x6e, 0xdc, 0x6a, 0x53, 0xa9, 0x5f, 0xc2, 0xda, 0xf4, 0xfa, 0x26,
	0xbf, 0x67, 0x81, 0x05, 0xbf, 0x06, 0x6b, 0xaf, 0xd8, 0x39, 0x43, 0x6a, 0xd4, 0xcc, 0xe3, 0xa3,
	0x57, 0x31, 0x30, 0xa0, 0x9e, 0xe3, 0xf3, 0x61, 0x2b, 0xfd, 0x3c, 0xe4, 0xa2, 0xdf, 0x4a, 0xc3,
	0xd3, 0x5f, 0x52, 0xab, 0xcf, 0xf5, 0x39, 0xf2, 0xbc, 0xe5, 0xc4, 0x74, 0xef, 0x7b, 0x00, 0x00,
	0x00, 0xff, 0xff, 0x09, 0x5a, 0x15, 0x6a, 0xe7, 0x06, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// PraefectInfoServiceClient is the client API for PraefectInfoService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type PraefectInfoServiceClient interface {
	RepositoryReplicas(ctx context.Context, in *RepositoryReplicasRequest, opts ...grpc.CallOption) (*RepositoryReplicasResponse, error)
	// ConsistencyCheck will perform a consistency check on the requested
	// virtual storage backend. A stream of repository statuses will be sent
	// back indicating which repos are consistent with the primary and which ones
	// need repair.
	ConsistencyCheck(ctx context.Context, in *ConsistencyCheckRequest, opts ...grpc.CallOption) (PraefectInfoService_ConsistencyCheckClient, error)
	// DatalossCheck returns the count of dead replica jobs created within a given
	// timeframe. Dead replica jobs can indicate data loss and can be helpful in debugging
	// impact of a primary node failure.
	DatalossCheck(ctx context.Context, in *DatalossCheckRequest, opts ...grpc.CallOption) (*DatalossCheckResponse, error)
	// EnableWrites enables writes for a storage that was switched to a read-only mode
	// following a failover.
	EnableWrites(ctx context.Context, in *EnableWritesRequest, opts ...grpc.CallOption) (*EnableWritesResponse, error)
}

type praefectInfoServiceClient struct {
	cc *grpc.ClientConn
}

func NewPraefectInfoServiceClient(cc *grpc.ClientConn) PraefectInfoServiceClient {
	return &praefectInfoServiceClient{cc}
}

func (c *praefectInfoServiceClient) RepositoryReplicas(ctx context.Context, in *RepositoryReplicasRequest, opts ...grpc.CallOption) (*RepositoryReplicasResponse, error) {
	out := new(RepositoryReplicasResponse)
	err := c.cc.Invoke(ctx, "/gitaly.PraefectInfoService/RepositoryReplicas", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *praefectInfoServiceClient) ConsistencyCheck(ctx context.Context, in *ConsistencyCheckRequest, opts ...grpc.CallOption) (PraefectInfoService_ConsistencyCheckClient, error) {
	stream, err := c.cc.NewStream(ctx, &_PraefectInfoService_serviceDesc.Streams[0], "/gitaly.PraefectInfoService/ConsistencyCheck", opts...)
	if err != nil {
		return nil, err
	}
	x := &praefectInfoServiceConsistencyCheckClient{stream}
	if err := x.ClientStream.SendMsg(in); err != nil {
		return nil, err
	}
	if err := x.ClientStream.CloseSend(); err != nil {
		return nil, err
	}
	return x, nil
}

type PraefectInfoService_ConsistencyCheckClient interface {
	Recv() (*ConsistencyCheckResponse, error)
	grpc.ClientStream
}

type praefectInfoServiceConsistencyCheckClient struct {
	grpc.ClientStream
}

func (x *praefectInfoServiceConsistencyCheckClient) Recv() (*ConsistencyCheckResponse, error) {
	m := new(ConsistencyCheckResponse)
	if err := x.ClientStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

func (c *praefectInfoServiceClient) DatalossCheck(ctx context.Context, in *DatalossCheckRequest, opts ...grpc.CallOption) (*DatalossCheckResponse, error) {
	out := new(DatalossCheckResponse)
	err := c.cc.Invoke(ctx, "/gitaly.PraefectInfoService/DatalossCheck", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *praefectInfoServiceClient) EnableWrites(ctx context.Context, in *EnableWritesRequest, opts ...grpc.CallOption) (*EnableWritesResponse, error) {
	out := new(EnableWritesResponse)
	err := c.cc.Invoke(ctx, "/gitaly.PraefectInfoService/EnableWrites", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// PraefectInfoServiceServer is the server API for PraefectInfoService service.
type PraefectInfoServiceServer interface {
	RepositoryReplicas(context.Context, *RepositoryReplicasRequest) (*RepositoryReplicasResponse, error)
	// ConsistencyCheck will perform a consistency check on the requested
	// virtual storage backend. A stream of repository statuses will be sent
	// back indicating which repos are consistent with the primary and which ones
	// need repair.
	ConsistencyCheck(*ConsistencyCheckRequest, PraefectInfoService_ConsistencyCheckServer) error
	// DatalossCheck returns the count of dead replica jobs created within a given
	// timeframe. Dead replica jobs can indicate data loss and can be helpful in debugging
	// impact of a primary node failure.
	DatalossCheck(context.Context, *DatalossCheckRequest) (*DatalossCheckResponse, error)
	// EnableWrites enables writes for a storage that was switched to a read-only mode
	// following a failover.
	EnableWrites(context.Context, *EnableWritesRequest) (*EnableWritesResponse, error)
}

// UnimplementedPraefectInfoServiceServer can be embedded to have forward compatible implementations.
type UnimplementedPraefectInfoServiceServer struct {
}

func (*UnimplementedPraefectInfoServiceServer) RepositoryReplicas(ctx context.Context, req *RepositoryReplicasRequest) (*RepositoryReplicasResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RepositoryReplicas not implemented")
}
func (*UnimplementedPraefectInfoServiceServer) ConsistencyCheck(req *ConsistencyCheckRequest, srv PraefectInfoService_ConsistencyCheckServer) error {
	return status.Errorf(codes.Unimplemented, "method ConsistencyCheck not implemented")
}
func (*UnimplementedPraefectInfoServiceServer) DatalossCheck(ctx context.Context, req *DatalossCheckRequest) (*DatalossCheckResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DatalossCheck not implemented")
}
func (*UnimplementedPraefectInfoServiceServer) EnableWrites(ctx context.Context, req *EnableWritesRequest) (*EnableWritesResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method EnableWrites not implemented")
}

func RegisterPraefectInfoServiceServer(s *grpc.Server, srv PraefectInfoServiceServer) {
	s.RegisterService(&_PraefectInfoService_serviceDesc, srv)
}

func _PraefectInfoService_RepositoryReplicas_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RepositoryReplicasRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PraefectInfoServiceServer).RepositoryReplicas(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gitaly.PraefectInfoService/RepositoryReplicas",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PraefectInfoServiceServer).RepositoryReplicas(ctx, req.(*RepositoryReplicasRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PraefectInfoService_ConsistencyCheck_Handler(srv interface{}, stream grpc.ServerStream) error {
	m := new(ConsistencyCheckRequest)
	if err := stream.RecvMsg(m); err != nil {
		return err
	}
	return srv.(PraefectInfoServiceServer).ConsistencyCheck(m, &praefectInfoServiceConsistencyCheckServer{stream})
}

type PraefectInfoService_ConsistencyCheckServer interface {
	Send(*ConsistencyCheckResponse) error
	grpc.ServerStream
}

type praefectInfoServiceConsistencyCheckServer struct {
	grpc.ServerStream
}

func (x *praefectInfoServiceConsistencyCheckServer) Send(m *ConsistencyCheckResponse) error {
	return x.ServerStream.SendMsg(m)
}

func _PraefectInfoService_DatalossCheck_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DatalossCheckRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PraefectInfoServiceServer).DatalossCheck(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gitaly.PraefectInfoService/DatalossCheck",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PraefectInfoServiceServer).DatalossCheck(ctx, req.(*DatalossCheckRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PraefectInfoService_EnableWrites_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(EnableWritesRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PraefectInfoServiceServer).EnableWrites(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gitaly.PraefectInfoService/EnableWrites",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PraefectInfoServiceServer).EnableWrites(ctx, req.(*EnableWritesRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _PraefectInfoService_serviceDesc = grpc.ServiceDesc{
	ServiceName: "gitaly.PraefectInfoService",
	HandlerType: (*PraefectInfoServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "RepositoryReplicas",
			Handler:    _PraefectInfoService_RepositoryReplicas_Handler,
		},
		{
			MethodName: "DatalossCheck",
			Handler:    _PraefectInfoService_DatalossCheck_Handler,
		},
		{
			MethodName: "EnableWrites",
			Handler:    _PraefectInfoService_EnableWrites_Handler,
		},
	},
	Streams: []grpc.StreamDesc{
		{
			StreamName:    "ConsistencyCheck",
			Handler:       _PraefectInfoService_ConsistencyCheck_Handler,
			ServerStreams: true,
		},
	},
	Metadata: "praefect.proto",
}
